# spec file for package nodejs-nodejs-umask

%global npmname umask
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-umask
Version:        1.1.0
Release:        0%{?dist}
Summary:        convert umask from string <-> number
Url:            https://github.com/smikes/umask
Source0:        http://registry.npmjs.org/umask/-/umask-1.1.0.tgz
License:        MIT

BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires: npm(code)
BuildRequires: npm(jslint)
BuildRequires: npm(lab)
%endif

%description
convert umask from string <-> number
%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/umask

cp -pr package.json \
	%{buildroot}%{nodejs_sitelib}/umask

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
lab -ct 100
jslint --terse --latest *.js test/*.js
%endif

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/umask

%doc README.md
%license LICENSE

%changelog
